Package org.eclipse.graphiti.ui.internal.util.gef

# Class MultiCreationFactory

java.lang.Object
org.eclipse.graphiti.ui.internal.util.gef.MultiCreationFactory

All Implemented Interfaces:
  `org.eclipse.gef.requests.CreationFactory`

public class MultiCreationFactory extends Object implements org.eclipse.gef.requests.CreationFactory

## Constructor Summary

Constructors
Constructor
Description
`MultiCreationFactory(List<IFeature> features)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNewObject()`
`Object`
`getObjectType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiCreationFactory

public MultiCreationFactory(List<IFeature> features)

## Method Details

### getNewObject

public Object getNewObject()

Specified by:
  `getNewObject` in interface `org.eclipse.gef.requests.CreationFactory`

### getObjectType

public Object getObjectType()

Specified by:
  `getObjectType` in interface `org.eclipse.gef.requests.CreationFactory`